Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-MultipartPostHandler2
%global with_python3 1
# comment this out in koji
#%%global locally 1
%global pypi_name MultipartPostHandler2
Name:           python-module-MultipartPostHandler2
Version:        0.1.1
Release:        alt1_4
Summary:        A handler for urllib2 to enable multipart form uploading
# License note in MultipartPostHandler.py
License:        LGPLv2+
URL:            http://pypi.python.org/pypi/%{pypi_name}/%{version}
Source0:        http://pypi.python.org/packages/source/M/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

# Remove the example in main() from the library and keep it separated
Patch0:         %{oldname}-cut-out-main.patch

# Several Python3 specific things, needs to be applied after 2to3!
Patch1:         %{oldname}-python3.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools

%if 0%{with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-module-distribute
BuildRequires: python-tools-2to3 python-tools-i18n python-tools-idle python-tools-pynche python-tools-smtpd
%endif
Source44: import.info

%description
This is MultipartPostHandler plus a fix for UTF-8 systems.
Enables the use of multipart/form-data for posting forms.

%if 0%{?with_python3}
%package -n python3-module-MultipartPostHandler2
Group: Other
Summary:        A handler for urllib2 to enable multipart form uploading

%description -n python3-module-MultipartPostHandler2
This is MultipartPostHandler plus a fix for UTF-8 systems.
Enables the use of multipart/form-data for posting forms.
%endif # with_python3

%prep
%setup -q -n %{pypi_name}-%{version}
%patch0 -p1
rm -rf doc # no real doc there

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
cd %{_builddir}/python3-%{oldname}-%{version}-%{release}
find . -name '*.py' | xargs sed -i '1s|^#!%{__python}|#!%{__python3}|'
2to3 --write --nobackup *.py
%patch1 -p1
cd -
# copy the example back so it can be used in %%doc
cp %{_builddir}/python3-%{oldname}-%{version}-%{release}/MultipartPostHandler-example.py python3-MultipartPostHandler-example.py
%endif # with_python3

%build
%{__python} setup.py build

%if 0%{?with_python3}
cd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
cd -
%endif # with_python3

%install
%if 0%{?with_python3}
cd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install --skip-build --root %{buildroot}
cd -
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}

%if 0%{?locally}
%check
%{__python} MultipartPostHandler-example.py
%if 0%{?with_python3}
cd %{_builddir}/python3-%{oldname}-%{version}-%{release}
env LANG=en_US.utf8 %{__python3} MultipartPostHandler-example.py
cd -
%endif # with_python3
%endif # locally

%files
%doc README.txt MultipartPostHandler-example.py
%{python_sitelibdir_noarch}/*
%files -n python3-module-MultipartPostHandler2
%doc README.txt python3-MultipartPostHandler-example.py
%{python3_sitelibdir_noarch}/*

%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_4
- initial fc import

